// ==UserScript==
// @name          YouTube html5 unembedder
// @namespace     http://jasonwoof.com/
// @description   Replace YouTube html5 embedds with links
// @include       *
// @exclude       http://youtube.com/*
// @exclude       http://www.youtube.com/*
// ==/UserScript==

// Copyright Jason Woofenden 2012. Use as you wish (CC0)

(function() {
	var replace = function(old, replacement) {
		old.parentNode.appendChild(replacement);
		old.parentNode.removeChild(old);
	}

	var iframes = document.getElementsByTagName('iframe');
	for (var i = iframes.length - 1; i >= 0; --i) {
		var iframe = iframes[i];
		var match = iframe.src.match(/^http:\/\/www.youtube(-nocookie)?.com\/embed\/([^?]*)/)
		if (match) {
			var div = document.createElement('div');
			div.innerHTML = '<a href="http://www.youtube.com/watch?v=' + match[2] + '" style="display: block; width: 200px; height: 20px; padding: 20px; margin: 0; border: 2px dotted #f00; background: #fdd !important; text-align: center; font-size: 16px; font-weight: bold; color: #000">YouTube: ' + match[2] + '</a>';
			replace(iframe, div);
		}
	}

	var objects = document.getElementsByTagName('object');
	for (var i = objects.length - 1; i >= 0; --i) {
		var object = objects[i];
		var match = object.data.match(/^http:\/\/www.youtube(-nocookie)?.com\/(embed|v)\/([^?]*)/)
		if (match) {
			var div = document.createElement('div');
			div.innerHTML = '<a href="http://www.youtube.com/watch?v=' + match[3] + '" style="display: block; width: 200px; height: 20px; padding: 20px; margin: 0; border: 2px dotted #f00; background: #fdd !important; text-align: center; font-size: 16px; font-weight: bold; color: #000">YouTube: ' + match[3] + '</a>';
			replace(object, div);
		}
	}
}());

